Bug 1018265 - [admin portal] prestarted vms value impacts pool properties dialog when number of vms in the pool is smaller
[admin portal] prestarted vms value impacts pool properties dialog when numbe...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ovirt-3.6.0-rc3
: 3.6.0
Assigned To: nobody nobody
Pavel Stehlik
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 11:03 EDT by Jiri Belka
Modified: 2016-02-10 14:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 05:37:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2013-10-11 11:03:54 EDT
Description of problem:

When you have a pool with 3 VMs and you define 3 VMs to be prestarted, then you stop fast one VM and detach it from the pool, the pool properties still has '3' as prestarted VM value.

this impact pool properties dialog. just opening and clicking 'OK' causes:

-%-	
Error while executing action:

test:

    Cannot edit VM-Pool. Number of Prestarted VMs cannot exceed the number of VMs in the Pool.
-%-

Either the value should descrease automatically or it should mimic behaviour of max vms per user in the pool (thus you can befine whatever integer you want but reality is checked).

Version-Release number of selected component (if applicable):
is18

How reproducible:
100%

Steps to Reproduce:
1. 1 pool, 3 vms, 3 prestarted
2. when vms are started, poweroff 1 vm and detach it
3. check prestarted vms value in pool properties, click OK

Actual results:
error dialog

Expected results:
?

Additional info:
Comment 2 Michal Skrivanek 2014-08-22 09:01:52 EDT
this bug won't fit into 3.5 release and is being deferred to a later release. If you deeply care about this bug and deserves to be re-evaluated please let me know
Comment 3 Michal Skrivanek 2015-10-22 05:37:31 EDT
closing old bugs, no capacity

Note You need to log in before you can comment on or make changes to this bug.